Vector-->Geoprocessing Tools cause freeze
Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.14.0 Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22494
Description

| can't use a single vector Geoprocessing Tool without freezing QGIS. This didn't happen before upgrading to QGIS 2.14.0. I've tried
installing via ubuntugis-unstable and Ubuntu Software Center; both installs freeze the same way when attempting to use the vector
Geoprocessing Tools, and none of the freezes have produced anything . The tools I've attempted to use the most are Buffer, Intersect,
and Clip. Any insight would be most appreciated.
This is my first-ever post here. Please let me know what else to provide or how | should post issues differently in the future.

History

#1 - 2016-03-17 11:14 AM - Nick Richmond

| meant to say, "none of the freezes have produced anything noteworthy or interesting in the Log Messages Panel."

#2 - 2016-03-17 11:30 AM - Maximilian Krambach

Do you use the "geoprocessing" toolbox? Then it would be interesting which version of "processing" it is (Plugins-> manage and install plugins ->

processing).

Possible outputs that could point to issues are running QGIS from console (which will be filled with QGIS and GDAL/ogr warnings and errors). Also, you

could check "processing/history" for information.

#3 - 2016-03-17 12:18 PM - Nick Richmond

Thanks for the prompt reply! | was using the "processing” toolbox, but | just uninstalled it and tried again. QGIS still freezes in the same manner as before,
unfortunately.

When running QGIS from terminal, these are the warning messages | receive:

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of gt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QCss::Parser - Failed to load file "/style.qss"

QlnotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory

Warning: QFileSystemWatcher: failed to add paths: /home/geodynamics/.qgis2//project_templates

Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action
Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action

2025-04-27 12




...and when | run the "Convex Hull(s)" tool:

ERROR 1: Attempt to write non-polygon (LINESTRING) geometry to POLYGON type shapefile.

Does this help?

#4 - 2016-03-17 01:32 PM - Maximilian Krambach

The processing plugin is still there, it's just a question if you use the builtin one or the "repository" one. | just tested with both (debian/QGIS 2.14), and | can

run everything just fine.

It could be a plugin or some setting that's off. Try to temporarily disable both (renaming ~.qgis2/ and ~/config/QGIS/).

Else, it may be corrupt data; some confusion between packages (as you tried two different repositories. There may be a mixup somewhere in the

dependencies).

#5 - 2016-03-19 11:55 PM - Alexander Bruy
- Category set to Processing/QGIS
- Status changed from Open to Feedback

Not reproducible here.

#6 - 2016-03-21 11:07 AM - Nick Richmond
- Status changed from Feedback to Closed

After running updates this morning, the tools are once again functional.
